Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class ServiceComponent

    java.lang.Object
      com.servingxml.ioc.components.ServiceComponent

All Implemented Interfaces:
  Component

    public class ServiceComponent

extends java.lang.Object
implements Component

Constructor Summary
`ServiceComponent(Name name, int nameSymbol, ComponentAssembler componentAssembler, com.servingxml.ioc.components.ComponentInterface interfaceDescriptor, ComponentTable componentTable)`

Method Summary
`ComponentDictionary` | `getChildComponents()`
`ComponentAssembler` | `getComponentAssembler()`
`java.lang.Class[]` | `getInterfaces()`
`Name` | `getName()`
`int` | `getNameSymbol()`
`void` | `initialize(NameTable nameTable, ComponentTable parent, java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceComponent

    public ServiceComponent(Name name,
                            int nameSymbol,
                            ComponentAssembler componentAssembler,
                            com.servingxml.ioc.components.ComponentInterface interfaceDescriptor,
                            ComponentTable componentTable)

Method Detail

### getName

    public Name getName()

### getComponentAssembler

    public ComponentAssembler getComponentAssembler()

### getNameSymbol

    public int getNameSymbol()

### initialize

    public void initialize(NameTable nameTable,
                           ComponentTable parent,
                           java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)

### getChildComponents

    public ComponentDictionary getChildComponents()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInterfaces

    public java.lang.Class[] getInterfaces()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD